Bug 102103 - [NEW PORT] lang/IMP: Monadic interpreter of a simple imperative language
Summary: [NEW PORT] lang/IMP: Monadic interpreter of a simple imperative language
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-15 17:30 UTC by Stanislav Sedov
Modified: 2006-08-17 22:17 UTC (History)
0 users

See Also:


Attachments
IMP-1.0.6.shar (2.31 KB, text/plain)
2006-08-15 17:30 UTC, Stanislav Sedov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Sedov 2006-08-15 17:30:23 UTC
IMP is a monadic style implementation of the semantics of the (very simple)
language IMP, "plain" the implementation with explicit passing of state.
                                                                                
The semantics of the IMP-language is presented in the book:

  "The Formal Semantics of Programming Languages" by Glynn Winskel
  (1993, The MIT Press).

For more details on monads, see Philip Wadler's page on:

 http://cm.bell-labs.com/cm/cs/who/wadler/topics/monads.html#combining-monads

Author:	Markus Mottl <markus.mottl@gmail.com>
WWW:	http://www.ocaml.info/home/ocaml_sources.html
Comment 1 Martin Wilke freebsd_committer 2006-08-16 07:36:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2006-08-17 22:17:17 UTC
State Changed
From-To: open->closed

New port added. Thanks!